Bug 139636 - Apache ab benchmark tool doesn't support https
Apache ab benchmark tool doesn't support https
Status: CLOSED DUPLICATE of bug 121987
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 21:44 EST by Jason Haar
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 23:26:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Haar 2004-11-16 21:44:59 EST
Description of problem:

Apache ab benchmark tool doesn't support https

Version-Release number of selected component (if applicable):

httpd-2.0.51-2.9


How reproducible:

ab https://www.verisign.com/

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:



Additional info:

some effort has already been made to enable this feature (the
Changelog in the .spec file references linking ab against the SSL
libraries) - but no-one actually added "-DHAVE_OPENSSL" to the
CPPFLAGS in the spec file to match the libraries! :-)
Comment 1 Matthew Miller 2005-04-26 11:00:18 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Jason Haar 2005-04-26 15:10:25 EDT
Well I just went "ab https://my.local.web.server" and got "SSL not compiled in;
no https support"  under FC3 - so I guess the answer is that it's still broken.
Comment 3 Naoki 2005-06-14 04:19:51 EDT
Also in FC4 :

$ cat /etc/redhat-release
Fedora Core release 4 (Stentz)
$ ab https://localhost/
SSL not compiled in; no https support
Comment 4 Joe Orton 2005-06-14 07:53:46 EDT
SSL support in ab was only very recently made to work properly upstream.  The
"sslswamp" tool in the distcache package can be used as an alternative, in the
mean time.
Comment 5 Matthew Miller 2006-07-10 17:50:28 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 23:26:23 EST
Duplicate of 121987.  Works in FC6 at least (not sure about FC5), as noted in
that bug.

*** This bug has been marked as a duplicate of 121987 ***

Note You need to log in before you can comment on or make changes to this bug.